Package org.opensaml.security.credential

# Enum Class UsageType

java.lang.Object
java.lang.Enum<UsageType>
org.opensaml.security.credential.UsageType

All Implemented Interfaces:
  `Serializable`, `Comparable<UsageType>`, `Constable`

public enum UsageType extends Enum<UsageType>
Credential usage types.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ENCRYPTION`
Key used for encryption processes.
`SIGNING`
Key used for signature processes including TLS/SSL.
`UNSPECIFIED`
Denotes that the purpose of the key was not specified.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`value`
Enum string value.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`UsageType(String v)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getValue()`
Get the enum string value.
`static UsageType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static UsageType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ENCRYPTION

public static final UsageType ENCRYPTION
Key used for encryption processes.

### SIGNING

public static final UsageType SIGNING
Key used for signature processes including TLS/SSL.

### UNSPECIFIED

public static final UsageType UNSPECIFIED
Denotes that the purpose of the key was not specified.

## Field Details

### value

@Nonnull private String value
Enum string value.

## Constructor Details

### UsageType

private UsageType(@Nonnull String v)
Constructor.

Parameters:
  `v` - the enum string value

## Method Details

### values

public static UsageType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static UsageType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getValue

@Nonnull public String getValue()
Get the enum string value.

Returns:
  the enum string value